#include <stdio.h>
#include <stdlib.h>

int main()
{
    int a,b,x,y;
    scanf("%i %i",&a,&b);
    scanf("%i %i",&x,&y);
    int araz,braz;
    araz=a-x;
    braz=b-y;
    if(araz==0 && braz!=0){
        printf("drugi");
    }
    else if(araz==0 && braz==0){
        printf("nijedan");
    }
    else if(araz!=0 && braz==0){
        printf("prvi");
    }
    else if(araz!=0 && braz!=0){
        printf("?");
    }
    return 0;
}